### Hierarchy

- TableAdapter

### Implemented by

- TableDomAdapter

## Index

### Accessors

- lastColumnIndex
- lastRowIndex

### Methods

- findColumnIndex
- findIndex
- findRowIndex
- getCell
- getColumn
- getRow

## Accessors

### lastColumnIndex

lastColumnIndex:

- Defined in src/table/table-adapter.class.ts:41

### lastRowIndex

lastRowIndex:

- Defined in src/table/table-adapter.class.ts:46

## Methods

### findColumnIndex

- findColumnIndex(cell: TableCellAdapter): number

- - Defined in src/table/table-adapter.class.ts:75

  #### Parameters

  - ##### cell: TableCellAdapter

  #### Returns number

### findIndex

- findIndex(cell: TableCellAdapter): [number, number]

- - Defined in src/table/table-adapter.class.ts:90

  #### Parameters

  - ##### cell: TableCellAdapter

  #### Returns [number, number]

  a tuple that follows the `[row, column]` convention

### findRowIndex

- findRowIndex(cell: TableCellAdapter): number

- - Defined in src/table/table-adapter.class.ts:82

  #### Parameters

  - ##### cell: TableCellAdapter

  #### Returns number

### getCell

- getCell(row: number, column: number): TableCellAdapter

- - Defined in src/table/table-adapter.class.ts:54

  #### Parameters

  - ##### row: number

  - ##### column: number

  #### Returns TableCellAdapter

### getColumn

- getColumn(column: number): TableCellAdapter[]

- - Defined in src/table/table-adapter.class.ts:61

  #### Parameters

  - ##### column: number

  #### Returns TableCellAdapter[]

### getRow

- getRow(row: number): TableRowAdapter

- - Defined in src/table/table-adapter.class.ts:68

  #### Parameters

  - ##### row: number

  #### Returns TableRowAdapter

Generated using TypeDoc